<?php

$source = $_POST["source"];
$filename = $_POST["name"];
$name = pathinfo($filename, PATHINFO_FILENAME);
$url = "http://192.168.178.14:8180/assemble";

$source = str_replace("\r", "", $source);
$source = str_replace("\n", "\\n", $source);

$content = "{\"name\":\"$filename\",\"hardware\":\"arduinosps\",\"content\":\"$source\"}";

$data = $content;

$headers = [
	"Content-Type: application/json",
	"X-Content-Type-Options:nosniff",
	"Accept:application/json",
	"Cache-Control:no-cache"
];

$client = curl_init($url);
curl_setopt($client, CURLOPT_POST, 1);
curl_setopt($client,CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($client,CURLOPT_RETURNTRANSFER,true);
curl_setopt($client, CURLOPT_POSTFIELDS, $data);
curl_setopt($client,CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($client);
$info = curl_getinfo($client);
$code = $info["http_code"];
$result = json_decode($response);

if ($code == 200) {

	header('Content-Type: text/simple');
	header("Content-Disposition: attachment; filename=\"$name.hex\"");

	echo $result->hexfile;
} else {
	$message = $result->message;
	echo '<html><body>' . PHP_EOL;
	echo 'processing failed. <br/>' . PHP_EOL;
	echo "error code: $code<br/>" . PHP_EOL;
	echo "message: $message <br/>" . PHP_EOL;
	echo '</body></html>' . PHP_EOL;	
}


curl_close($client);


?>
