package de.mcs.tools.sps.emulator.model;

public class InputModel {

  boolean input1;
  boolean input2;
  boolean input3;
  boolean input4;

  boolean sel;
  boolean prg;

  byte adc1;
  byte adc2;
  byte rc1;
  byte rc2;

  @Override
  public String toString() {
    StringBuilder b = new StringBuilder();
    b.append(String.format(
        "%s:[Din1: %s, Din2: %s, Din3: %s Din4: %s, SEL: %s, PRG: %s, adc1: %d, adc2: %d, rc1: %d, rc2: %d]",
        this.getClass().getSimpleName(), input1, input2, input3, input4, sel, prg, adc1, adc2, rc1, rc2));
    return b.toString();
  }

  /**
   * @return the input1
   */
  public boolean isInput1() {
    return input1;
  }

  /**
   * @param input1
   *          the input1 to set
   */
  public void setInput1(boolean input1) {
    this.input1 = input1;
  }

  /**
   * @return the input2
   */
  public boolean isInput2() {
    return input2;
  }

  /**
   * @param input2
   *          the input2 to set
   */
  public void setInput2(boolean input2) {
    this.input2 = input2;
  }

  /**
   * @return the input3
   */
  public boolean isInput3() {
    return input3;
  }

  /**
   * @param input3
   *          the input3 to set
   */
  public void setInput3(boolean input3) {
    this.input3 = input3;
  }

  /**
   * @return the input4
   */
  public boolean isInput4() {
    return input4;
  }

  /**
   * @param input4
   *          the input4 to set
   */
  public void setInput4(boolean input4) {
    this.input4 = input4;
  }

  /**
   * @return the sel
   */
  public boolean isSel() {
    return sel;
  }

  /**
   * @param sel
   *          the sel to set
   */
  public void setSel(boolean sel) {
    this.sel = sel;
  }

  /**
   * @return the prg
   */
  public boolean isPrg() {
    return prg;
  }

  /**
   * @param prg
   *          the prg to set
   */
  public void setPrg(boolean prg) {
    this.prg = prg;
  }

  /**
   * @return the adc1
   */
  public byte getAdc1() {
    return adc1;
  }

  /**
   * @param adc1
   *          the adc1 to set
   */
  public void setAdc1(byte adc1) {
    this.adc1 = adc1;
  }

  /**
   * @return the adc2
   */
  public byte getAdc2() {
    return adc2;
  }

  /**
   * @param adc2
   *          the adc2 to set
   */
  public void setAdc2(byte adc2) {
    this.adc2 = adc2;
  }

  /**
   * @return the rc1
   */
  public byte getRc1() {
    return rc1;
  }

  /**
   * @param rc1
   *          the rc1 to set
   */
  public void setRc1(byte rc1) {
    this.rc1 = rc1;
  }

  /**
   * @return the rc2
   */
  public byte getRc2() {
    return rc2;
  }

  /**
   * @param rc2
   *          the rc2 to set
   */
  public void setRc2(byte rc2) {
    this.rc2 = rc2;
  }
}
